> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a thread

> Updates a thread's name.

## Update a thread

Updates a thread's name.

### Path Parameters

<ParamField path name="thread_id" type="integer" required>
  No description provided
</ParamField>

### Request Body

This endpoint requires a request body.

<RequestExample>
  ```json
  {
    "name": "string"
  }
  ```
</RequestExample>

### Response

<ResponseField name="data" type="object">
  The response data for this endpoint.
</ResponseField>

<ResponseExample>
  ```json
  {
    "id": 123,
    "name": "string",
    "user_id": 123,
    "created_at": "string",
    "updated_at": "string"
  }
  ```
</ResponseExample>
